/*******************************************************************************
 * de.langzeitarchivierung.kopal.administration / DiasAdminError.java
 *  
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 ******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.administration;

/*******************************************************************************
 * Class representing the data model for errors within responses of the Dias
 * Administration Interface according to the "Detailed Specifications for
 * Administration and Search Interfaces to DIAS-Core" Version 1.0 by IBM
 * Nederland N.V. 2000, 2006
 * 
 * @author Matthias Neubauer, Deutsche Nationalbibliothek
 * @version 20061106
 * @since 20061106
 ******************************************************************************/

public class DiasAdminError implements DiasAdminResponseData
{

	// STATE (Instance variables) *****************************************

	private String	errortype		= "";
	private String	errorcode		= "";
	private String	errormessage	= "";
	private String	errordetail		= "";

	// QUERIES (Queries - no change to object's state) ********************

	/***************************************************************************
	 * @see java.lang.Object#toString()
	 **************************************************************************/
	@Override
	public String toString() {
		String out = "\n   Error type:" + this.errortype;
		out += "\n   Error code:" + this.errorcode;
		out += "\n   Error message:" + this.errormessage;
		if (!this.errordetail.equals("")) {
			out += "\n   Error detail:" + this.errordetail;
		}

		return out;
	}

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns the error code
	 **************************************************************************/
	public String getErrorcode() {
		return this.errorcode;
	}

	/***************************************************************************
	 * @param errcode The error code to set.
	 **************************************************************************/
	public void setErrorcode(String errcode) {
		this.errorcode = errcode;
	}

	/***************************************************************************
	 * @return Returns the error detail
	 **************************************************************************/
	public String getErrordetail() {
		return this.errordetail;
	}

	/***************************************************************************
	 * @param errdetail The error detail to set.
	 **************************************************************************/
	public void setErrordetail(String errdetail) {
		this.errordetail = errdetail;
	}

	/***************************************************************************
	 * @return Returns the error message
	 **************************************************************************/
	public String getErrormessage() {
		return this.errormessage;
	}

	/***************************************************************************
	 * @param errmessage The error message to set.
	 **************************************************************************/
	public void setErrormessage(String errmessage) {
		this.errormessage = errmessage;
	}

	/***************************************************************************
	 * @return Returns the error type
	 **************************************************************************/
	public String getErrortype() {
		return this.errortype;
	}

	/***************************************************************************
	 * @param errtype The error type to set.
	 **************************************************************************/
	public void setErrortype(String errtype) {
		this.errortype = errtype;
	}

}
