/*******************************************************************************
 * de.langzeitarchivierung.kopal.administration / DiasAdminResponse.java
 *  
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 ******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.administration;

/*******************************************************************************
 * Class representing the data model for responses of the Dias Administration
 * Interface according to the "Detailed Specifications for Administration and
 * Search Interfaces to DIAS-Core" Version 1.0 by IBM Nederland N.V. 2000, 2006
 * 
 * @author Matthias Neubauer, Deutsche Nationalbibliothek
 * @version 20061106
 * @since 20061106
 ******************************************************************************/

public class DiasAdminResponse
{

	// STATE (Instance variables) *****************************************

	private String					version		= "";
	private String					request		= "";
	private String					datetime	= "";
	private String					originator	= "";
	private DiasAdminResponseData	data;

	// QUERIES (Queries - no change to object's state) ********************

	/***************************************************************************
	 * @see java.lang.Object#toString()
	 **************************************************************************/
	@Override
	public String toString() {
		String out = "\n   Version: " + this.version;
		out += "\n   Request: " + this.request;
		out += "\n   Datetime: " + this.datetime;
		out += "\n   Originator: " + this.originator;
		out += "\n   " + this.data.toString();

		return out;
	}

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns the main response data
	 **************************************************************************/
	public DiasAdminResponseData getData() {
		return this.data;
	}

	/***************************************************************************
	 * @param respdata The response data to set.
	 **************************************************************************/
	public void setData(DiasAdminResponseData respdata) {
		this.data = respdata;
	}

	/***************************************************************************
	 * @return Returns the datetime
	 **************************************************************************/
	public String getDatetime() {
		return this.datetime;
	}

	/***************************************************************************
	 * @param dt The datetime to set.
	 **************************************************************************/
	public void setDatetime(String dt) {
		this.datetime = dt;
	}

	/***************************************************************************
	 * @return Returns the originator.
	 **************************************************************************/
	public String getOriginator() {
		return this.originator;
	}

	/***************************************************************************
	 * @param origin The originator to set.
	 **************************************************************************/
	public void setOriginator(String origin) {
		this.originator = origin;
	}

	/***************************************************************************
	 * @return Returns the request.
	 **************************************************************************/
	public String getRequest() {
		return this.request;
	}

	/***************************************************************************
	 * @param req The request to set.
	 **************************************************************************/
	public void setRequest(String req) {
		this.request = req;
	}

	/***************************************************************************
	 * @return Returns the version.
	 **************************************************************************/
	public String getVersion() {
		return this.version;
	}

	/***************************************************************************
	 * @param ver The version to set.
	 **************************************************************************/
	public void setVersion(String ver) {
		this.version = ver;
	}

}
