/*******************************************************************************
 * de.langzeitarchivierung.kopal.administration / DiasAdminResult.java
 *  
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 ******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.administration;

/*******************************************************************************
 * Class representing the data model for results within responses of the Dias
 * Administration Interface according to the "Detailed Specifications for
 * Administration and Search Interfaces to DIAS-Core" Version 1.0 by IBM
 * Nederland N.V. 2000, 2006
 * 
 * @author Matthias Neubauer, Deutsche Nationalbibliothek
 * @version 20061106
 * @since 20061106
 ******************************************************************************/

public class DiasAdminResult implements DiasAdminResponseData
{

	// STATE (Instance variables) *****************************************

	private String				resultCode		= "";
	private String				resultString	= "";
	private DiasAdminResultData	resultData		= null;

	// QUERIES (Queries - no change to object's state) ********************

	/***************************************************************************
	 * @see java.lang.Object#toString()
	 **************************************************************************/
	@Override
	public String toString() {
		String out = "\n   Result code: " + this.resultCode;
		if (this.resultString != null && !this.resultString.equals("")) {
			out += "\n   Result String: " + this.resultString + "\n";
		}
		if (this.resultData != null) {
			out += "\n   Result XML: " + "\n   --------------------------"
					+ this.resultData.toString()
					+ "\n   --------------------------";
		}

		return out;
	}

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns the resultCode
	 **************************************************************************/
	public String getResultCode() {
		return this.resultCode;
	}

	/***************************************************************************
	 * @param _resultCode The result code to set.
	 **************************************************************************/
	public void setResultcode(String _resultCode) {
		this.resultCode = _resultCode;
	}

	/***************************************************************************
	 * @return Returns the result data. Contains null if the result element did
	 *         not contain any child elements!
	 **************************************************************************/
	public DiasAdminResultData getResultData() {
		return this.resultData;
	}

	/***************************************************************************
	 * @param _resultData The result data
	 **************************************************************************/
	public void setResultXML(DiasAdminResultData _resultData) {
		this.resultData = _resultData;
	}

	/***************************************************************************
	 * @return Returns the resultString
	 **************************************************************************/
	public String getResultString() {
		return this.resultString;
	}

	/***************************************************************************
	 * @param _resultString The result string to set.
	 **************************************************************************/
	public void setResultString(String _resultString) {
		this.resultString = _resultString;
	}

}
