/*******************************************************************************
 * de.langzeitarchivierung.kopal.administration / GetSchemaListResult.java
 *  
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 ******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.administration;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/*******************************************************************************
 * Class representing the data model for results within responses of a
 * "getSchemaList" request of the Dias Administration Interface according to the
 * "Detailed Specifications for Administration and Search Interfaces to
 * DIAS-Core" Version 1.0 by IBM Nederland N.V. 2000, 2006
 * 
 * @author Matthias Neubauer, Deutsche Nationalbibliothek
 * @version 20070507
 * @since 20070507
 ******************************************************************************/

public class GetSchemaListResult implements DiasAdminResultData
{

	// STATE (Instance variables) *****************************************

	private List<XmlSchemaData>	xmlSchemas	= new ArrayList<XmlSchemaData>();

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns all xml schema data
	 **************************************************************************/
	public List<XmlSchemaData> getXmlSchemas() {
		return this.xmlSchemas;
	}

	/***************************************************************************
	 * @param schema The xml schema data.
	 **************************************************************************/
	public void addXmlSchema(XmlSchemaData schema) {
		this.xmlSchemas.add(schema);
	}

	// QUERIES (Queries - no change to object's state) ********************

	/***************************************************************************
	 * @see java.lang.Object#toString()
	 **************************************************************************/
	@Override
	public String toString() {

		String out = "";
		Iterator iter = this.xmlSchemas.iterator();

		while (iter.hasNext()) {
			XmlSchemaData data = (XmlSchemaData) iter.next();
			out += data.toString();
		}

		return out;
	}

}
