/*******************************************************************************
 * de.langzeitarchivierung.kopal.administration / GetSchemaResult.java
 *  
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 ******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.administration;

import org.w3c.dom.Node;

/*******************************************************************************
 * Class representing the data model for results within responses of a
 * "getSchema" request of the Dias Administration Interface according to the
 * "Detailed Specifications for Administration and Search Interfaces to
 * DIAS-Core" Version 1.0 by IBM Nederland N.V. 2000, 2006
 * 
 * @author Matthias Neubauer, Deutsche Nationalbibliothek
 * @version 20070507
 * @since 20070507
 ******************************************************************************/

public class GetSchemaResult implements DiasAdminResultData
{

	// STATE (Instance variables) *****************************************

	private Node	xmlSchemaDefinition;

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns the xml schema Definition as Node of element
	 *         "xmlSchemaDefinition"
	 **************************************************************************/
	public Node getXmlSchemaDefinition() {
		return this.xmlSchemaDefinition;
	}

	/***************************************************************************
	 * @param schemaDefinition The xml schema Definition as a Node.
	 **************************************************************************/
	public void setXmlSchemaDefinition(Node schemaDefinition) {
		this.xmlSchemaDefinition = schemaDefinition;
	}

}
