/*******************************************************************************
 * de.langzeitarchivierung.kopal.administration / StoreFileTypeResult.java
 *  
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 ******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.administration;

/*******************************************************************************
 * Class representing the data model for results within responses of a
 * "storeFileType" request of the Dias Administration Interface according to the
 * "Detailed Specifications for Administration and Search Interfaces to
 * DIAS-Core" Version 1.0 by IBM Nederland N.V. 2000, 2006
 * 
 * @author Matthias Neubauer, Deutsche Nationalbibliothek
 * @version 20070507
 * @since 20070507
 ******************************************************************************/

public class StoreFileTypeResult implements DiasAdminResultData
{

	// STATE (Instance variables) *****************************************

	private String	fileTypeID				= "";
	private String	fileTypeCreationDate	= "";

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns the file type ID
	 **************************************************************************/
	public String getFileTypeID() {
		return this.fileTypeID;
	}

	/***************************************************************************
	 * @param _fileTypeID The file type ID.
	 **************************************************************************/
	public void setFileTypeID(String _fileTypeID) {
		this.fileTypeID = _fileTypeID;
	}

	/***************************************************************************
	 * @return Returns the file type creation date
	 **************************************************************************/
	public String getFileTypeCreationDate() {
		return this.fileTypeCreationDate;
	}

	/***************************************************************************
	 * @param _fileTypeCreationDate The file type creation date
	 **************************************************************************/
	public void setFileTypeCreationDate(String _fileTypeCreationDate) {
		this.fileTypeCreationDate = _fileTypeCreationDate;
	}

	// QUERIES (Queries - no change to object's state) ********************

	/***************************************************************************
	 * @see java.lang.Object#toString()
	 **************************************************************************/
	@Override
	public String toString() {
		String out = "\n   File Type ID: " + this.fileTypeID;
		out += "\n   File Type Creation Date: " + this.fileTypeCreationDate;

		return out;
	}

}
