/*******************************************************************************
 * de.langzeitarchivierung.kopal.administration / StoreSchemaResult.java
 *  
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 ******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.administration;

/*******************************************************************************
 * Class representing the data model for results within responses of a
 * "storeSchema" request of the Dias Administration Interface according to the
 * "Detailed Specifications for Administration and Search Interfaces to
 * DIAS-Core" Version 1.0 by IBM Nederland N.V. 2000, 2006
 * 
 * @author Matthias Neubauer, Deutsche Nationalbibliothek
 * @version 20070504
 * @since 20070504
 ******************************************************************************/

public class StoreSchemaResult implements DiasAdminResultData
{

	// STATE (Instance variables) *****************************************

	private String	xmlSchemaID			= "";
	private String	xmlSchemaVersion	= "";

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns the xml schema ID
	 **************************************************************************/
	public String getXmlSchemaID() {
		return this.xmlSchemaID;
	}

	/***************************************************************************
	 * @param schemaID The xml schema ID.
	 **************************************************************************/
	public void setXmlSchemaID(String schemaID) {
		this.xmlSchemaID = schemaID;
	}

	/***************************************************************************
	 * @return Returns the xml schema version
	 **************************************************************************/
	public String getXmlSchemaVersion() {
		return this.xmlSchemaVersion;
	}

	/***************************************************************************
	 * @param schemaVersion The xml schema version
	 **************************************************************************/
	public void setXmlSchemaVersion(String schemaVersion) {
		this.xmlSchemaVersion = schemaVersion;
	}

	// QUERIES (Queries - no change to object's state) ********************

	/***************************************************************************
	 * @see java.lang.Object#toString()
	 **************************************************************************/
	@Override
	public String toString() {
		String out = "\n   Schema ID: " + this.xmlSchemaID;
		out += "\n   Schema version: " + this.xmlSchemaVersion;

		return out;
	}

}
