/******************************************************************************
 * de.langzeitarchivierung.kopal.ingest / DiasIngestMetadataResponse.java
 * 
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA
 ******************************************************************************
 * 
 * 
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.ingest;

import java.io.Serializable;

/*******************************************************************************
 * A metadata subfield of the DIAS response to ingest requests as a bean. To
 * understand the data fields read the SIP Interface Specification.
 * 
 * @author Funk, SUB Goettingen
 * @version 20070215
 * @since 20070215
 ******************************************************************************/

public class DiasIngestMetadataResponse implements Serializable
{

	// CONSTANTS **********************************************************

	private static final long	serialVersionUID			= 1L;

	public static final String	STATE_UPLOADING				= "uploading";
	public static final String	STATE_LOADING				= "loading";
	public static final String	STATE_DONE					= "done";
	public static final String	STATE_ERROR					= "error";
	public static final String	STATE_FATAL_ERROR			= "fatalError";

	// STATE (Instance variables) *****************************************

	private String				sipIngestTicketNumber		= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				ftpPassword					= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				sipFilename					= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				sipPreloadarea				= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				ftpServer					= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				ftpUser						= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				startTimestamp				= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				sourceId					= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				state						= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				substate					= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				supplementaryInformation	= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				timestamp					= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;
	private String				alert						= DiasIngestResponse.NOT_IN_DIAS_RESPONSE;

	// GET & SET METHODS **************************************************

	/***************************************************************************
	 * @return Returns the ftpPassword.
	 **************************************************************************/
	public String getFtpPassword() {
		return this.ftpPassword;
	}

	/***************************************************************************
	 * @param ftpPassword The ftpPassword to set.
	 **************************************************************************/
	public void setFtpPassword(String ftpPassword) {
		this.ftpPassword = ftpPassword;
	}

	/***************************************************************************
	 * @return Returns the ftpServer.
	 **************************************************************************/
	public String getFtpServer() {
		return this.ftpServer;
	}

	/***************************************************************************
	 * @param ftpServer The ftpServer to set.
	 **************************************************************************/
	public void setFtpServer(String ftpServer) {
		this.ftpServer = ftpServer;
	}

	/***************************************************************************
	 * @return Returns the ftpUser.
	 **************************************************************************/
	public String getFtpUser() {
		return this.ftpUser;
	}

	/***************************************************************************
	 * @param ftpUser The ftpUser to set.
	 **************************************************************************/
	public void setFtpUser(String ftpUser) {
		this.ftpUser = ftpUser;
	}

	/***************************************************************************
	 * @return Returns the sipIngestTicketNumber.
	 **************************************************************************/
	public String getSipIngestTicketNumber() {
		return this.sipIngestTicketNumber;
	}

	/***************************************************************************
	 * @param sipIngestTicketNumber The sipIngestTicketNumber to set.
	 **************************************************************************/
	public void setSipIngestTicketNumber(String sipIngestTicketNumber) {
		this.sipIngestTicketNumber = sipIngestTicketNumber;
	}

	/***************************************************************************
	 * @return Returns the sipPreloadarea.
	 **************************************************************************/
	public String getSipPreloadarea() {
		return this.sipPreloadarea;
	}

	/***************************************************************************
	 * @param sipPreloadarea The sipPreloadarea to set.
	 **************************************************************************/
	public void setSipPreloadarea(String sipPreloadarea) {
		this.sipPreloadarea = sipPreloadarea;
	}

	/***************************************************************************
	 * @return Returns the sipFilename.
	 **************************************************************************/
	public String getSipFilename() {
		return this.sipFilename;
	}

	/***************************************************************************
	 * @param sipFilename The sipFilename to set.
	 **************************************************************************/
	public void setSipFilename(String sipFilename) {
		this.sipFilename = sipFilename;
	}

	/***************************************************************************
	 * @return Returns the sourceId.
	 **************************************************************************/
	public String getSourceId() {
		return this.sourceId;
	}

	/***************************************************************************
	 * @param sourceId The sourceId to set.
	 **************************************************************************/
	public void setSourceId(String sourceId) {
		this.sourceId = sourceId;
	}

	/***************************************************************************
	 * @return Returns the startTimestamp.
	 **************************************************************************/
	public String getStartTimestamp() {
		return this.startTimestamp;
	}

	/***************************************************************************
	 * @param startTimestamp The startTimestamp to set.
	 **************************************************************************/
	public void setStartTimestamp(String startTimestamp) {
		this.startTimestamp = startTimestamp;
	}

	/***************************************************************************
	 * @return Returns the state.
	 **************************************************************************/
	public String getState() {
		return this.state;
	}

	/***************************************************************************
	 * @param state The state to set.
	 **************************************************************************/
	public void setState(String state) {
		this.state = state;
	}

	/***************************************************************************
	 * @return Returns the substate.
	 **************************************************************************/
	public String getSubstate() {
		return this.substate;
	}

	/***************************************************************************
	 * @param substate The substate to set.
	 **************************************************************************/
	public void setSubstate(String substate) {
		this.substate = substate;
	}

	/***************************************************************************
	 * @return Returns the supplementaryInformation.
	 **************************************************************************/
	public String getSupplementaryInformation() {
		return this.supplementaryInformation;
	}

	/***************************************************************************
	 * @param supplementaryInformation The supplementaryInformation to set.
	 **************************************************************************/
	public void setSupplementaryInformation(String supplementaryInformation) {
		this.supplementaryInformation = supplementaryInformation;
	}

	/***************************************************************************
	 * @return Returns the timestamp.
	 **************************************************************************/
	public String getTimestamp() {
		return this.timestamp;
	}

	/***************************************************************************
	 * @param timestamp The timestamp to set.
	 **************************************************************************/
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}

	/***************************************************************************
	 * @return Returns the alert.
	 **************************************************************************/
	public String getAlert() {
		return this.alert;
	}

	/***************************************************************************
	 * @param alert The alert to set.
	 **************************************************************************/
	public void setAlert(String alert) {
		this.alert = alert;
	}

	// QUERIES (Queries - no change to object's state) ********************

	/***************************************************************************
	 * @see java.lang.Object#toString()
	 **************************************************************************/
	@Override
	public String toString() {
		String result = "";

		result += "\tsipIngestTicketNumber: " + this.sipIngestTicketNumber;
		result += "\n\tftpPassword: " + this.ftpPassword;
		result += "\n\tsipPreloadarea: " + this.sipPreloadarea;
		result += "\n\tftpServer: " + this.ftpServer;
		result += "\n\tftpUser: " + this.ftpUser;
		result += "\n\tstartTimestamp: " + this.startTimestamp;
		result += "\n\tsourceId: " + this.sourceId;
		result += "\n\tstate: " + this.state;
		result += "\n\tsubstate: " + this.substate;
		result += "\n\tsupplementaryInformation: "
				+ this.supplementaryInformation;
		result += "\n\ttimestamp: " + this.timestamp;
		result += "\n\talert: " + this.alert;

		return result;
	}

}
