/*******************************************************************************
 * de.langzeitarchivierung.kopal.processstarter.sub / MonitorHotfolderExample.java
 *   
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 * 
 * 
 *******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.processstarter;

import java.io.File;
import java.util.HashMap;

/*******************************************************************************
 * The example hotfolder process starter. In this class only the abstract
 * methods are defined. Please edit as you wish.
 * 
 * @author Stefan Funk, SUB Goettingen
 * @version 20070131
 * @see de.langzeitarchivierung.kopal.processstarter
 * @since 20070123
 ******************************************************************************/

public class MonitorHotfolderExample extends MonitorHotfolderBase
{

	/*
	 * Think of any name that identifies the object properly. We take the
	 * foldername here.
	 * 
	 * (non-Javadoc)
	 * 
	 * @see de.langzeitarchivierung.kopal.processstarter.MonitorHotfolderBase#getProcessName(java.io.File)
	 */
	@Override
	protected String getProcessName(File currentFile) {
		return currentFile.getName();
	}

	/*
	 * Set as much custom identifier as you want to, all of them are written to
	 * the database.
	 * 
	 * (non-Javadoc)
	 * 
	 * @see de.langzeitarchivierung.kopal.processstarter.MonitorHotfolderBase#getCustomIdList(java.io.File)
	 */
	@Override
	protected HashMap<String, String> getCustomIdList(File currentFile) {
		HashMap<String, String> result = new HashMap<String, String>();

		return result;
	}

	/*
	 * You can specify a persistent identifier here or use a custom action
	 * module to do so later on. We also use the name of the folder here.
	 * 
	 * (non-Javadoc)
	 * 
	 * @see de.langzeitarchivierung.kopal.processstarter.MonitorHotfolderBase#getPersistentIdentifier(java.io.File)
	 */
	@Override
	protected String getPersistentIdentifier(File currentFile) {
		return currentFile.getName();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see de.langzeitarchivierung.kopal.processstarter.MonitorHotfolderBase#fileIsRestricted(java.io.File)
	 */
	@Override
	protected boolean sipIsRestricted(File currentFile) {
		// Restrict file if currentFile is a file and readDirectoriesOnly is set
		// to TRUE.
		if (!currentFile.isDirectory() && this.readDirectoriesOnly) {
			return true;
		}

		return false;
	}

}
