/*******************************************************************************
 * de.langzeitarchivierung.kopal.processstarter.migrationmanager / MigrationEventListener.java
 * 
 * Copyright 2005-2007 by Project kopal
 * 
 * http://kopal.langzeitarchivierung.de/
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA
 *
 *
 *******************************************************************************
 *
 *
 * CHANGELOG:
 * 10.07.2007	koLibRI version 1.0
 ******************************************************************************/

package de.langzeitarchivierung.kopal.processstarter.migrationmanager;

/*******************************************************************************
 * Interface for classes which listen for migration events and invoke the
 * migration event scheduler.
 * 
 * @author Ludwig
 * @version 0.5
 ******************************************************************************/

public interface MigrationEventListener extends Runnable
{

	/***************************************************************************
	 * Sets the migration event scheduler to call if a migration event happens.
	 * 
	 * @param migEvScheduler
	 **************************************************************************/
	public void setMigrationEventScheduler(
			MigrationEventScheduler migEvScheduler);

}
